Bug 1004456 - CPU-specific kernel drivers fail to autoload with 3.11 kernel
CPU-specific kernel drivers fail to autoload with 3.11 kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 12:27 EDT by David Woodhouse
Modified: 2013-09-09 20:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: systemd-204-11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 20:00:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-09-04 12:27:37 EDT
http://cgit.freedesktop.org/systemd/systemd/commit?id=bf7f800f

> After a recent change present in 3.11-rc1 there is a driver, called processor, 
> that can be bound to the CPU devices whose sysfs directories are located under 
> /sys/devices/system/cpu/. A side effect of this is that, after the driver has 
> been bound to those devices, the kernel adds DRIVER=processor to ENV for CPU
> uevents and they don't match the default rule for autoloading modules matching 
> MODALIAS: 
> 
> DRIVER!="?*", ENV{MODALIAS}=="?*", IMPORT{builtin}="kmod load $env{MODALIAS}" > 
> any more. However, there are some modules whose module aliases match specific 
> CPU features through the modalias string and those modules should be loaded 
> automatically if a compatible CPU is present. Yet, with the processor driver 
> bound to the CPU devices the above rule is not sufficient for that, so we need 
> a new default udev rule allowing those modules to be autoloaded even if the 
> CPU devices have drivers.
Comment 2 Fedora Update System 2013-09-05 08:23:13 EDT
systemd-204-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/systemd-204-11.fc19
Comment 3 Fedora Update System 2013-09-06 01:15:44 EDT
Package systemd-204-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-204-11.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15934/systemd-204-11.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-09 20:00:51 EDT
systemd-204-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.